PHP Manual
Prev |  | Next

# http_deflate

(no version information, might be only in CVS)

http_deflate -- Deflate data

## Description

string http_deflate ( string data [, int flags = 0] )

Compress data with `gzip`, `zlib` AKA `deflate` or `raw deflate` encoding.

See the deflate constants table for possible values for the `flags` parameter.

## Parameters

`data`

  String containing the data that should be encoded

`flags`

  deflate options

## Return Values

Returns the encoded string on success, or NULL on failure.

## See Also

http_inflate()
HttpDeflateStream

Prev | Home | Next
http_chunked_decode | Up | http_inflate